Question: Problems With Chromosome Ordering When Running The Gatk Indelrealigner
0
gravatar for GPR
6.2 years ago by
GPR310
Mexico
GPR310 wrote:

Hello, I am trying to use GATK to make variant calls and have gotten stuck on IndelRealigner.

My command-line is the following: java -Djava.io.tmpdir='pwd'/tmp -Xmx5g -jar GenomeAnalysisTK.jar -I ./ input.bam -R ./ hg19.fa -T IndelRealigner -targetIntervals ./ Intervals.intervals -o out.bam -known ./ Millsand1000Ggoldstandard.indels.hg19.vcf &

I get the following error messages:

1) MESSAGE: Lexicographically sorted human genome sequence detected in reads.

<h5>ERROR For safety's sake the GATK requires human contigs in karyotypic order: 1, 2, ..., 10, 11, ..., 20, 21, 22, X, Y with M either leading or trailing these contigs</h5>

2) ##### ERROR This is because all distributed GATK resources are sorted in karyotypic order, and your processing will fail when you need to use these files.

<h5>ERROR You can use the ReorderSam utility to fix this problem: http://www.broadinstitute.org/gsa/wiki/index.php/ReorderSam</h5> <h5>ERROR reads contigs = [chr1, chr10, chr11, chr12, chr13, chr14, chr15, chr16, chr17, chr18, chr19, chr2, chr20, chr21, chr22, chr3, chr4, chr5, chr6, chr7, chr8, chr9, chrM, chrX, chrY]</h5>

I understand the 2nd error message, and am currently running ReorderSam on my bam files. I am however at odds with the 1st. error message.

Can somebody suggest/indicate what's the fix for these errors? Other than running ReorderSam in Picard Tools of course. Thanks, G.

gatk • 7.0k views
ADD COMMENTlink modified 6.2 years ago by vdauwera900 • written 6.2 years ago by GPR310

For error 1 I would try ReorderSam from Picard too. Why not?

ADD REPLYlink written 6.2 years ago by Alex Paciorkowski3.3k
2
gravatar for vdauwera
6.2 years ago by
vdauwera900
Cambridge, MA
vdauwera900 wrote:

See this article for more info on the reasons why the GATK imposes these constraints on the ordering of input files: http://www.broadinstitute.org/gatk/guide/article?id=1204

Also, you seem to be running an older version of the GATK, I strongly recommend you upgrade to a more recent version.

ADD COMMENTlink written 6.2 years ago by vdauwera900

thanks for the tip!

ADD REPLYlink written 6.2 years ago by GPR310
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 1181 users visited in the last hour